package com.goafanti.organization.bo;

import com.goafanti.common.model.ExpenseConfigDetails;

import java.util.List;

public class OrganizationListOut {
    /**
     * 登录用户ID
     **/
    private String uid;
    /**
     * 组织ID
     **/
    private String id;
    /**
     * 创建人
     **/
    private String createId;
    /**
     * 创建时间
     **/
    private String createTime;
    /**
     * 更新时间
     **/
    private String updateTime;
    /**
     * 删除标识
     **/
    private String deletedSign;
    /**
     * 组织名称
     **/
    private String name;
    /**
     * 组织类型
     **/
    private String type;
    /**
     * 负责人姓名
     **/
    private String managerName;
    /**
     * 组织负责人ID
     **/
    private String managerId;
    /**
     * 组织编号
     **/
    private String depNo;
    /**
     * 上级组织名称
     **/
    private String superName;
    /**
     * 上级组织
     **/
    private String superId;
    /**
     * 组织职能说明
     **/
    private String remarks;
    /**
     * 组织状态
     **/
    private String status;
    /**
     * 缩写
     */
    private String abbreviation;
    private String financeName;
    private String financeId;

    private String retrialFinanceId;
    private String retrialFinanceName;

    private String expenseFinanceId;
    private String expenseFinanceName;

    private Integer approval;
    private String approvalAid;
    private String approvalName;
    private Integer province;
    private Integer hideSign;
    private Integer workingHoursType;
    private String workingHoursName;
    private Integer lvl;
    private List<OrganizationListOut> list;
    /**
     * 财务复审 0-不需要 ，1-需要
     */
    private Integer expenseRetrialFinanceExamine;

    /**
     * 董事长审核 0-不需要 ，1-需要
     */
    private Integer ceoExamine;

    /**
     * 财务总监出纳状态 0-不需要 ，1-需要
     */
    private Integer cfoExamine;

    /**
     * 公司副总出纳状态 0-不需要 ，1-需要
     */
    private Integer viceCeoExamine;

    /**
     * 出纳审核 0-不需要 ，1-需要
     */
    private Integer cashierExamine;
    private String techAdminId;
    private String techAdminName;

    private String operationGuaranteeId;
    private String operationGuaranteeName;

    private List<ExpenseConfigDetails> expenseRetrialFinanceExamineList;
    private List<ExpenseConfigDetails> ceoExamineList;
    private List<ExpenseConfigDetails> cfoExamineList;
    private List<ExpenseConfigDetails> viceCeoExamineList;
    private List<ExpenseConfigDetails> cashierExamineList;

    public String getOperationGuaranteeId() {
        return operationGuaranteeId;
    }

    public void setOperationGuaranteeId(String operationGuaranteeId) {
        this.operationGuaranteeId = operationGuaranteeId;
    }

    public String getOperationGuaranteeName() {
        return operationGuaranteeName;
    }

    public void setOperationGuaranteeName(String operationGuaranteeName) {
        this.operationGuaranteeName = operationGuaranteeName;
    }

    public String getTechAdminId() {
        return techAdminId;
    }

    public void setTechAdminId(String techAdminId) {
        this.techAdminId = techAdminId;
    }

    public String getTechAdminName() {
        return techAdminName;
    }

    public void setTechAdminName(String techAdminName) {
        this.techAdminName = techAdminName;
    }

    public List<ExpenseConfigDetails> getExpenseRetrialFinanceExamineList() {
        return expenseRetrialFinanceExamineList;
    }

    public void setExpenseRetrialFinanceExamineList(List<ExpenseConfigDetails> expenseRetrialFinanceExamineList) {
        this.expenseRetrialFinanceExamineList = expenseRetrialFinanceExamineList;
    }

    public List<ExpenseConfigDetails> getCeoExamineList() {
        return ceoExamineList;
    }

    public void setCeoExamineList(List<ExpenseConfigDetails> ceoExamineList) {
        this.ceoExamineList = ceoExamineList;
    }

    public List<ExpenseConfigDetails> getCfoExamineList() {
        return cfoExamineList;
    }

    public void setCfoExamineList(List<ExpenseConfigDetails> cfoExamineList) {
        this.cfoExamineList = cfoExamineList;
    }

    public List<ExpenseConfigDetails> getViceCeoExamineList() {
        return viceCeoExamineList;
    }

    public void setViceCeoExamineList(List<ExpenseConfigDetails> viceCeoExamineList) {
        this.viceCeoExamineList = viceCeoExamineList;
    }

    public List<ExpenseConfigDetails> getCashierExamineList() {
        return cashierExamineList;
    }

    public void setCashierExamineList(List<ExpenseConfigDetails> cashierExamineList) {
        this.cashierExamineList = cashierExamineList;
    }

    public Integer getExpenseRetrialFinanceExamine() {
		return expenseRetrialFinanceExamine;
	}

	public void setExpenseRetrialFinanceExamine(Integer expenseRetrialFinanceExamine) {
		this.expenseRetrialFinanceExamine = expenseRetrialFinanceExamine;
	}

	public Integer getCeoExamine() {
		return ceoExamine;
	}

	public void setCeoExamine(Integer ceoExamine) {
		this.ceoExamine = ceoExamine;
	}

	public Integer getCfoExamine() {
		return cfoExamine;
	}

	public void setCfoExamine(Integer cfoExamine) {
		this.cfoExamine = cfoExamine;
	}

	public Integer getViceCeoExamine() {
		return viceCeoExamine;
	}

	public void setViceCeoExamine(Integer viceCeoExamine) {
		this.viceCeoExamine = viceCeoExamine;
	}

	public Integer getCashierExamine() {
		return cashierExamine;
	}

	public void setCashierExamine(Integer cashierExamine) {
		this.cashierExamine = cashierExamine;
	}

	public String getExpenseFinanceId() {
        return expenseFinanceId;
    }

    public void setExpenseFinanceId(String expenseFinanceId) {
        this.expenseFinanceId = expenseFinanceId;
    }

    public String getExpenseFinanceName() {
        return expenseFinanceName;
    }

    public void setExpenseFinanceName(String expenseFinanceName) {
        this.expenseFinanceName = expenseFinanceName;
    }

    public String getApprovalName() {
        return approvalName;
    }

    public void setApprovalName(String approvalName) {
        this.approvalName = approvalName;
    }

    public Integer getApproval() {
        return approval;
    }

    public void setApproval(Integer approval) {
        this.approval = approval;
    }

    public String getApprovalAid() {
        return approvalAid;
    }

    public void setApprovalAid(String approvalAid) {
        this.approvalAid = approvalAid;
    }

    public String getRetrialFinanceId() {
        return retrialFinanceId;
    }

    public void setRetrialFinanceId(String retrialFinanceId) {
        this.retrialFinanceId = retrialFinanceId;
    }

    public String getRetrialFinanceName() {
        return retrialFinanceName;
    }

    public void setRetrialFinanceName(String retrialFinanceName) {
        this.retrialFinanceName = retrialFinanceName;
    }

    public List<OrganizationListOut> getList() {
        return list;
    }

    public void setList(List<OrganizationListOut> list) {
        this.list = list;
    }

    public Integer getLvl() {
        return lvl;
    }

    public void setLvl(Integer lvl) {
        this.lvl = lvl;
    }

    public Integer getHideSign() {
        return hideSign;
    }

    public void setHideSign(Integer hideSign) {
        this.hideSign = hideSign;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCreateId() {
        return createId;
    }

    public void setCreateId(String createId) {
        this.createId = createId;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeletedSign() {
        return deletedSign;
    }

    public void setDeletedSign(String deletedSign) {
        this.deletedSign = deletedSign;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getManagerName() {
        return managerName;
    }

    public void setManagerName(String managerName) {
        this.managerName = managerName;
    }

    public String getManagerId() {
        return managerId;
    }

    public void setManagerId(String managerId) {
        this.managerId = managerId;
    }

    public String getDepNo() {
        return depNo;
    }

    public void setDepNo(String depNo) {
        this.depNo = depNo;
    }

    public String getSuperName() {
        return superName;
    }

    public void setSuperName(String superName) {
        this.superName = superName;
    }

    public String getSuperId() {
        return superId;
    }

    public void setSuperId(String superId) {
        this.superId = superId;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getAbbreviation() {
        return abbreviation;
    }

    public void setAbbreviation(String abbreviation) {
        this.abbreviation = abbreviation;
    }

    public String getFinanceId() {
        return financeId;
    }

    public void setFinanceId(String financeId) {
        this.financeId = financeId;
    }

    public String getFinanceName() {
        return financeName;
    }

    public void setFinanceName(String financeName) {
        this.financeName = financeName;
    }

    public Integer getProvince() {
        return province;
    }

    public void setProvince(Integer province) {
        this.province = province;
    }

    public Integer getWorkingHoursType() {
        return workingHoursType;
    }

    public void setWorkingHoursType(Integer workingHoursType) {
        this.workingHoursType = workingHoursType;
    }

    public String getWorkingHoursName() {
        return workingHoursName;
    }

    public void setWorkingHoursName(String workingHoursName) {
        this.workingHoursName = workingHoursName;
    }


}
